Subject: 25.1; Support disabling bracketed paste mode.

From: Jay Lee <[email-masked]>
Date: Wed, 23 Nov 2016 23:47:37 +0900

I see that bracketed paste mode is automatically enabled in emacs 25.1 running in terminal.
I know this mode is very good at security. But while I’m editing text, this mode annoy me. because something text is added.
ex) 200~hello, world201~

I copy text frequently from safari or other applications and paste it to emacs running in terminal. then I have to remove "200~ 201~”.
this process reduce my productivity. So I want to disable bracketed paste mode in emacs running in terminal.

I have googled this issue But there is no information. and I even make questions in reddit and stackexchage.
I think that No one know disabling bracketed paste mode.
Below is my question links
https://www.reddit.com/r/emacs/comments/5eehv5/how_to_turn_off_bracketed_paste_mode/ <https://www.reddit.com/r/emacs/comments/5eehv5/how_to_turn_off_bracketed_paste_mode/>
http://emacs.stackexchange.com/questions/28851/how-to-turn-off-bracketed-paste-mode?noredirect=1#comment44234_28851 <http://emacs.stackexchange.com/questions/28851/how-to-turn-off-bracketed-paste-mode?noredirect=1#comment44234_28851>

There is no problem in emacs -q session. I think that bracketed paste mode is not enabled in this case Because configuration about bracketed paste mode is not loaded.
If I have misunderstanding, please let me know.

If there is solution for this issue, I want to know how to disabling bracketed paste mode or Not, please create functions for disable bracketed paste mode.
Thank you.

My development environment is macOS sierra, emacs 25.1 (running in Terminal)

In GNU Emacs 25.1.1 (x86_64-apple-darwin16.0.0, NS appkit-1504.00 Version 10.12 (Build 16A323))
of 2016-11-04 built on Macs-iMac.local
Configured using:
'configure --disable-dependency-tracking --disable-silent-rules
--enable-locallisppath=/usr/local/share/emacs/site-lisp
--infodir=/usr/local/Cellar/emacs/25.1/share/info/emacs
--prefix=/usr/local/Cellar/emacs/25.1 --without-x --with-xml2
--without-dbus --without-gnutls --with-ns --disable-ns-self-contained'

Configured features:
NOTIFY ACL LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  multi-web-global-mode: t
  show-paren-mode: t
  display-time-mode: t
  which-function-mode: t
  icomplete-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Checking 34 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/emulation...
Checking 167 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/emacs-lisp...
Checking 24 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/cedet...
Checking 57 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/calendar...
Checking 87 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/calc...
Checking 120 files in /usr/local/Cellar/emacs/25.1/share/emacs/25.1/lisp/obsolete...
Checking for load-path shadows...done
previous-line: Beginning of buffer [4 times]
Auto-saving...done
Buffer *unsent mail to [email-masked]* modified; kill anyway? (y or n) y

Load-path shadows:
None found.

Features:
(url-util url-parse auth-source cl-seq eieio eieio-core url-vars pp
shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg gnus-util mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns mail-prsvr mail-utils term/xterm
xterm jade-mode sws-mode multi-web-mode easy-mmode cl-macs cl swift-mode
derived smie comint ansi-color ring rx go-mode-autoloads advice
find-file atom-dark-theme paren time time-date which-func imenu
icomplete iswitchb edmacro kmacro finder-inf package epg-config seq
byte-opt gv bytecomp byte-compile cl-extra help-mode easymenu cconv
cl-loaddefs pcase cl-lib mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel ns-win ucs-normalize
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
kqueue cocoa ns multi-tty make-network-process emacs)

Memory information:
((conses 16 233992 15725)
(symbols 48 23489 4)
(miscs 40 51 193)
(strings 32 25882 4560)
(string-bytes 1 763153)
(vectors 16 35757)
(vector-slots 8 663111 6726)
(floats 8 230 579)
(intervals 56 230 8)
(buffers 976 19))